/* ------------------

 共通

 ------------------ */

.archive__wrap {
  padding: 0 12rem;
}

@media screen and (max-width: 1024px) {
  .archive__wrap {
    padding: 0 2.4rem;
  }
}

#archive01-mv {
  padding: 0 2.4rem;
  margin-bottom: 8rem;
}

.archive01-mv__inner {
  position: relative;
  min-height: 32rem;
  background-image: url("../img/bg-noise__blue.png");
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 4rem 2.4rem;
  border-radius: 2.4rem;
}

.archive01-mv__title {
  text-align: center;

  span {
    color: var(--main-blue);
  }

  h1 {
    font-size: 3.6rem;
  }

  &.tour h1 {
    display: flex;
    align-items: center;
    gap: 1.6rem;
    &::before {
      content: "";
      display: inline-block;
      width: 2.4rem;
      height: 2.4rem;
      mask-position: center center;
      mask-repeat: no-repeat;
      mask-size: contain;
      background-color: var(--main-blue);
      mask-image: url("../img/icon-search.svg");
    }
  }

  /* &.news h1 {
    &::before {
      mask-image: url("../img/icon-news.svg");
    }
  } */
  /* 
  &.blog h1 {
    &::before {
      mask-image: url("../img/icon-blog.svg");
    }
  } */
}

.pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.8rem;
  font-size: 1.4rem;
  margin-top: 12rem;

  .page-numbers {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 4rem;
    height: 4rem;
    color: var(--sub-blue);

    &.current {
      background-color: var(--sub-blue);
      color: var(--white);
      border-radius: 50%;
    }

    &.prev {
      margin-right: 2.4rem;
      .pager__prev-arrow {
        display: inline-block;
        width: 1.6rem;
        height: 1.6rem;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
        border-top: solid 1px var(--sub-blue);
        border-left: solid 1px var(--sub-blue);
      }
    }

    &.next {
      margin-right: 2.4rem;
      .pager__next-arrow {
        display: inline-block;
        width: 1.6rem;
        height: 1.6rem;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
        border-top: solid 1px var(--sub-blue);
        border-right: solid 1px var(--sub-blue);
        margin-left: 2.4rem;
      }
    }
  }
}

@media screen and (max-width: 1024px) {
}

@media screen and (max-width: 768px) {
  .archive01-mv__title {
    h1 {
      font-size: 2.8rem;
    }
  }
}

/* ------------------

　ツアー一覧

 ------------------ */

.archive-tour__inner {
  display: flex;
  align-items: flex-start;
  gap: 2.4rem 8rem;
}

.archive-search__content {
  position: sticky;
  top: 2.4rem;
  width: 24rem;
  padding: 4rem 0;
  border-top: solid 1px var(--gray-normal);
  border-bottom: solid 1px var(--gray-normal);
}

.archive-search__title {
  position: relative;
  text-align: center;
  padding: 0 4rem;
  span {
    color: var(--main-blue);
    font-size: 1.4rem;
  }

  p {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.8rem;
    margin: 0;

    &::before {
      content: "";
      display: inline-block;
      width: 2.4rem;
      height: 2.4rem;
      mask-image: url("../img/icon-narrow-down.svg");
      mask-size: 100%;
      background-color: var(--main-blue);
    }
  }
}

.archive-search__form__list {
  padding-top: 1.6rem;
}

.archive-search__form__item {
  margin-bottom: 1.6rem;

  dt {
    margin-bottom: 0.4rem;
    label {
      font-size: 1.4rem;
      padding-right: 2.4rem;
    }
  }

  dd {
    position: relative;

    &::before {
      content: "";
      position: absolute;
      top: 50%;
      right: 1.6rem;
      transform: translateY(-50%) rotate(45deg);
      display: inline-block;
      width: 0.8rem;
      height: 0.8rem;
      border-bottom: solid 0.2rem var(--main-blue);
      border-right: solid 0.2rem var(--main-blue);
    }

    input,
    select {
      display: inline-block;
      width: 100%;
      height: 5.6rem;
      border-radius: 0.8rem;
      padding: 0.8rem 1.6rem;
      padding-right: 3.2rem;
      color: var(--main-black);
      border: solid 1px var(--gray-normal);
    }
  }
}

.archive-search__form__btn {
  width: 100%;
  margin-bottom: 2.4rem;
  input {
    width: 100%;
    height: 6rem;
    background-color: var(--main-black);
    color: var(--white);
    border-radius: 0.8rem;
    font-size: 1.4rem;
    cursor: pointer;
    font-family: hiragino-kaku-gothic-pron, sans-serif;
  }
}

.archive-tour__content {
  width: calc(100% - 24rem - 8rem);
}

.archive-tour__list {
  > li {
    margin-bottom: 4rem;
    &:last-of-type {
      margin-bottom: 0;
    }
    a {
      display: flex;
      align-items: center;
      gap: 2.4rem 4rem;
      color: var(--main-black);
    }
  }
}

.archive-tour__item__img {
  position: relative;
  aspect-ratio: 1.6 / 1;
  border-radius: 1.6rem;
  overflow: hidden;
  width: 36rem;

  img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: 0.4s;
  }

  .archive-tour__item__arrow {
    display: inline-block;
    width: 8rem;
    height: 8rem;
    position: absolute;
    right: -1px;
    bottom: -1px;
    background-image: url(../img/bg-wave-arrow.svg);
    background-repeat: no-repeat;
    background-size: 100%;
    z-index: 2;

    &::after {
      content: "";
      display: inline-block;
      position: absolute;
      right: 2rem;
      bottom: 2rem;
      width: 2rem;
      height: 2rem;
      background-image: url(../img/icon-arrow.svg);
      background-repeat: no-repeat;
      background-size: 100%;
      z-index: 2;
    }
  }
}

.archive-tour__item__text {
  flex: 1;
  h2 {
    font-size: 2.1rem;
    color: var(--main-blue);
    font-weight: 600;
    margin-bottom: 2.4rem;
  }
}

.archive-tour__item__def {
  font-size: 1.4rem;
  > div {
    display: flex;
    align-items: center;
    gap: 1.6rem;
    margin-bottom: 0.8rem;

    &:last-of-type {
      margin-bottom: 0;
    }

    dt {
      font-weight: 600;
      width: 8rem;
    }

    dd {
      position: relative;
      flex: 1;
      padding-left: 5.6rem;
      &::before {
        content: "";
        display: inline-block;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 0;
        width: 4rem;
        border-top: 0.3rem dotted var(--gray-normal);
      }
    }
  }
}

.archive-tour__category {
  position: relative;
  padding-bottom: 2.4rem;
  margin-bottom: 2.4rem;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
    width: 4rem;
    height: 100%;
    background: linear-gradient(
      90deg,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 1) 100%
    );
  }
}

.archive-tour__category__scroll {
  position: absolute;
  bottom: 0;
  right: 0;
  padding-left: 9.6rem;
  font-size: 1.2rem;
  color: var(--gray-heavy);
  z-index: 2;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    width: 6.4rem;
    height: 1px;
    background-color: var(--gray-heavy);
  }
}

.archive-tour__category__list {
  display: flex;
  align-items: center;
  gap: 1.6rem;
  padding-bottom: 1.6rem;
  padding-right: 4rem;
  overflow-x: scroll;

  > li {
    display: flex;
    align-items: center;
    gap: 1.6rem;

    > a {
      display: inline-block;
      font-size: 1.4rem;
      padding: 0.8rem 2.4rem;
      border-radius: 4rem;
      background-color: var(--gray-heavy);
      color: var(--white);
      text-align: center;
      white-space: nowrap;
    }

    &.current > a {
      pointer-events: none;
      background-color: var(--gray-normal);
      color: var(--white);
    }
  }
}

.archive-tour__category__list--child {
  display: flex;
  align-items: center;
  gap: 1.6rem;

  > li {
    display: flex;
    align-items: center;
    gap: 1.6rem;

    > a {
      display: inline-block;
      font-size: 1.4rem;
      padding: 0.8rem 2.4rem;
      border-radius: 4rem;
      background-color: var(--gray-heavy);
      color: var(--white);
      text-align: center;
      white-space: nowrap;
    }

    &.current > a {
      pointer-events: none;
      background-color: var(--gray-normal);
      color: var(--white);
    }
  }
}

.archive-tour__error {
  text-align: center;

  img {
    width: 10rem;
  }
}

@media (any-hover: hover) {
  .archive-tour__list {
    > li {
      a:hover {
        .archive-tour__item__img {
          img {
            transform: scale(1.1);
          }
        }
        .archive-tour__item__text {
          h2 {
            text-decoration: underline;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 1024px) {
  .archive-tour__list {
    > li {
      a {
        flex-direction: column;
      }
    }
  }
  .archive-tour__item__img {
    width: 100%;
  }
}

@media screen and (max-width: 768px) {
  .archive-tour__inner {
    flex-direction: column;
  }

  .archive-search__content {
    position: relative;
    top: 0;
    width: 100%;
    padding: 1.6rem 2.4rem;
  }

  .archive-search__title {
    &::before {
      content: "";
      display: inline-block;
      position: absolute;
      top: 50%;
      transform: translateY(-50%) rotate(45deg);
      right: 0.8rem;
      width: 1.6rem;
      height: 1.6rem;
      border-top: solid 1px var(--main-blue);
      border-right: solid 1px var(--main-blue);
      transition: 0.4s;
    }

    &.is-active::before {
      transform: translateY(-50%) rotate(495deg);
    }
  }

  .archive-search__form {
    max-height: 0;
    height: 0;
    opacity: 0;
    visibility: hidden;
    &.is-active {
      height: auto;
      max-height: 100vh;
      opacity: 1;
      visibility: visible;
      transition: 0.4s;
    }
  }

  .archive-tour__content {
    width: 100%;
  }
}

/* ------------------

　お知らせ一覧,プログ一覧

 ------------------ */

.archive-news__list {
  display: flex;
  flex-wrap: wrap;
  gap: 2.4rem 8rem;

  > li {
    position: relative;
    width: calc((100% / 3) - (8rem * 2 / 3));

    &:nth-of-type(3n-2)::before {
      content: "";
      display: inline-block;
      position: absolute;
      top: 0;
      right: -4rem;
      width: 1px;
      height: 100%;
      background-color: var(--gray-normal);
    }

    &:nth-of-type(3n-1)::before {
      content: "";
      display: inline-block;
      position: absolute;
      top: 0;
      right: -4rem;
      width: 1px;
      height: 100%;
      background-color: var(--gray-normal);
    }
  }
}

.archive-news__item__img {
  position: relative;
  aspect-ratio: 1.6 / 1;
  overflow: hidden;
  border-radius: 1.6rem;
  margin-bottom: 1.6rem;

  img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: 0.4s;
  }

  .archive-news__item__arrow {
    display: inline-block;
    width: 8rem;
    height: 8rem;
    position: absolute;
    right: -1px;
    bottom: -1px;
    background-image: url(../img/bg-wave-arrow.svg);
    background-repeat: no-repeat;
    background-size: 100%;
    z-index: 2;

    &::after {
      content: "";
      display: inline-block;
      position: absolute;
      right: 2rem;
      bottom: 2rem;
      width: 2rem;
      height: 2rem;
      background-image: url(../img/icon-arrow.svg);
      background-repeat: no-repeat;
      background-size: 100%;
      z-index: 2;
    }
  }
}

.archive-news__time {
  display: inline-block;
  color: var(--sub-blue);
  margin-bottom: 0.8rem;
  font-size: 1.4rem;
  font-weight: 600;
}

.archive-news__item__text {
  h2 {
    font-size: 1.6rem;
    font-family: "Hiragino Kaku Gothic ProN", sans-serif;
    color: var(--main-black);
    margin-bottom: 2.4rem;
  }
}

@media (any-hover: hover) {
  .archive-news__list {
    > li {
      a:hover {
        .archive-news__item__img {
          img {
            transform: scale(1.1);
          }
        }
        .archive-news__item__text {
          h2 {
            text-decoration: underline;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 768px) {
  .archive-news__list {
    gap: 2.4rem;
    > li {
      width: calc((100% / 2) - (2.4rem * 1 / 2));

      &:nth-of-type(3n-2)::before {
        display: none;
      }

      &:nth-of-type(3n-1)::before {
        display: none;
      }

      &:nth-of-type(2n-1)::before {
        content: "";
        display: inline-block;
        position: absolute;
        top: 0;
        right: -1.2rem;
        width: 1px;
        height: 100%;
        background-color: var(--gray-normal);
      }
    }
  }

  .archive-news__item__img {
    .archive-news__item__arrow {
      width: 4.8rem;
      height: 4.8rem;

      &::after {
        right: 0.8rem;
        bottom: 0.8rem;
        width: 1.6rem;
        height: 1.6rem;
      }
    }
  }

  .archive-news__item__text {
    h2 {
      font-size: 1.6rem;
    }
  }
}
